Update student item response
curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/updateStudentItemResponse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studentId": "<string>",
"componentResourceId": "<string>",
"result": {
"scoreDate": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'import requests
url = "https://api.alpha-1edtech.ai/powerpath/lessonPlans/updateStudentItemResponse"
payload = {
"studentId": "<string>",
"componentResourceId": "<string>",
"result": {
"scoreDate": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
studentId: '<string>',
componentResourceId: '<string>',
result: {
scoreDate: '2023-11-07T05:31:56Z',
metadata: {},
score: 123,
textScore: '<string>',
scorePercentile: 123,
comment: '<string>',
learningObjectiveSet: [
{
source: '<string>',
learningObjectiveResults: [{learningObjectiveId: '<string>', score: 123, textScore: '<string>'}]
}
],
inProgress: '<string>',
incomplete: '<string>',
late: '<string>',
missing: '<string>'
}
})
};
fetch('https://api.alpha-1edtech.ai/powerpath/lessonPlans/updateStudentItemResponse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"componentResourceLineItem": {
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"class": {
"sourcedId": "<string>"
},
"parentAssessmentLineItem": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"component": {
"sourcedId": "<string>"
},
"componentResource": {
"sourcedId": "<string>"
},
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
],
"course": {
"sourcedId": "<string>"
}
},
"componentResourceResult": {
"assessmentLineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Plans
Update student item response
Update the student item response for a student in a course.
The item may be a component or componentResource.
You should provide either the componentId or the componentResourceId.
If you provide the componentId, the data in the response payload should be in relation to the student’s response to the entire component.
If you provide the componentResourceId, the data in the response payload should be in relation to the student’s response to the specific resource.
POST
/
powerpath
/
lessonPlans
/
updateStudentItemResponse
Update student item response
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
⌘I